
#    file { "/var/www/d-i/":
#        ensure => directory,
#        source => "puppet://$servername/secrets/d-i",
#        recurse => true, purge => true, force => true;

class installers {
    file { "/var/lib/tftpboot/":
        ensure => "directory",
        require => Package["tftpd-hpa"];

    "/var/lib/tftpboot/pxelinux.cfg/":
        ensure => "directory",
        require => [Package["tftpd-hpa"], File["/var/lib/tftpboot/"]];
#        source => "puppet://$servername/files/pxelinux.cfg/";

    "/var/lib/tftpboot/debian-installer/":
        ensure => "directory",
        require => [Package["tftpd-hpa"], File["/var/lib/tftpboot/"]];
    }

    fetch_netboot { [ "i386", "amd64" ]:  }

    define fetch_netboot($mirror = "http://debian.mirror.iweb.ca/debian") {

#      file { "/var/lib/tftpboot/debian-installer/$name/pxelinux.cfg":
#        ensure => "/var/lib/tftpboot/pxelinux.cfg",
#        require => [ File["/var/lib/tftpboot/debian-installer/$name/"], File["/var/lib/tftpboot/pxelinux.cfg/"] ],
#      }

      file { "/var/lib/tftpboot/debian-installer/$name/":
        ensure => "directory",
        require => [Package["tftpd-hpa"], File["/var/lib/tftpboot/debian-installer/"]]
      }

#      exec { "wget -O /var/lib/tftpboot/debian-installer/$name/netboot.tar.gz -q $mirror/dists/stable/main/installer-$name/current/images/netboot/netboot.tar.gz":
#        creates => "/var/lib/tftpboot/debian-installer/$name/netboot.tar.gz",
#        path => "/usr/bin",
#        require => [Package["tftpd-hpa"], File["/var/lib/tftpboot/pxelinux.cfg/"]]
#      }

      exec { "wget -O /var/lib/tftpboot/debian-installer/$name/initrd.gz -q $mirror/dists/stable/main/installer-$name/current/images/netboot/debian-installer/$name/initrd.gz":
        creates => "/var/lib/tftpboot/debian-installer/$name/initrd.gz",
        path => "/usr/bin",
        require => [Package["tftpd-hpa"], File["/var/lib/tftpboot/debian-installer/$name/"]]
      }
      exec { "wget -O /var/lib/tftpboot/debian-installer/$name/linux -q $mirror/dists/stable/main/installer-$name/current/images/netboot/debian-installer/$name/linux":
        creates => "/var/lib/tftpboot/debian-installer/$name/linux",
        path => "/usr/bin",
        require => [Package["tftpd-hpa"], File["/var/lib/tftpboot/debian-installer/$name/"]]
      }
#      exec { "wget -O /var/lib/tftpboot/debian-installer/$name/pxelinux.0 -q $mirror/dists/stable/main/installer-$name/current/images/netboot/pxelinux.0":
#        creates => "/var/lib/tftpboot/debian-installer/$name/pxelinux.0",
#        path => "/usr/bin",
#        require => [Package["tftpd-hpa"], File["/var/lib/tftpboot/debian-installer/$name/"]]
#      }
    }
}
