# copyright <sebas @ koumbit.org>
# Licence: GPL
#

class oo3_default_fileformat {

   package { [ "openoffice.org-common" ]: ensure => installed }

   # we are changing the config file for write, calc and impress for oo3 3.0
   change_oo3_default { [ "writer", "calc", "impress" ]: oo3_version => "3.0"; }

   # Configuration file for OO 3.X
   define change_oo3_default($oo3_version) {
     file { "/usr/lib/openoffice/basis$oo3_version/share/registry/modules/org/openoffice/Setup/Setup-$name.xcu":
       owner => root,
       group => root,
       mode => 644,
       source => "puppet:///oo3_default_fileformat/Setup-$name.xcu"
      }
   }
}
