# copyright <sebas @ koumbit.org>
# Licence: GPL
#

class debian_sources_list {

   package { [ "apt", "lsb-release" ]: ensure => installed }

    file { "/etc/apt/sources.list":
        owner => "root",
        group => "root",
        mode => 0644,
        content => template("debian_sources_list/sources.list.erb"),
        require => Package["lsb-release"],
    }
    exec{"apt-get update debian":
	command => "/usr/bin/apt-get update",
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list"],
        require => File["/etc/apt/sources.list"],
    }
}

class debian_sources_list::virtualbox {

    file { "/etc/apt/sources.list.d/virtualbox.list":
        owner => "root",
        group => "root",
        mode => 0644,
        content => template("debian_sources_list/sources.list.d/virtualbox.erb"),
    }
    exec{"apt-get update vb":
        command => "/usr/bin/apt-get update",
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list.d/virtualbox.list"],
        require => File["/etc/apt/sources.list.d/virtualbox.list"],
    }
    exec{"/usr/bin/wget -q http://download.virtualbox.org/virtualbox/debian/sun_vbox.asc -O- | /usr/bin/sudo /usr/bin/apt-key add -":
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list.d/virtualbox.list"],
        require => File["/etc/apt/sources.list.d/virtualbox.list"],
    }
}

class debian_sources_list::backports {

    file { "/etc/apt/sources.list.d/backports.list":
        owner => "root",
        group => "root",
        mode => 0644,
        content => template("debian_sources_list/sources.list.d/backports.erb"),  
    }
    exec{"apt-get update backports":
        command => "/usr/bin/apt-get update",
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list.d/backports.list"],
        require => File["/etc/apt/sources.list.d/backports.list"],
    }
    exec{"/usr/bin/apt-get --yes -q --allow-unauthenticated install debian-backports-keyring":
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list.d/backports.list"],
        require => File["/etc/apt/sources.list.d/backports.list"],
    }
}

